SUT_DIR=$(realpath ../..)
include ../test_defines.mk

SUT_OBJECTS = 	$(SUT_DIR)/src/swla_tupleType.o\
				$(SUT_DIR)/src/swla_namedTupleType.o

include $(SUT_DIR)/test/swla_type/test_swla_type.mk
				

BINARIES = test.swla_namedTupleType_test


test.swla_namedTupleType_test: test_swla_namedTupleType.o $(SUT_OBJECTS)
	$(CC) -o $(@) $^ $(LDFLAGS)

include ../test_common.mk